---
title: "Get user's position in queue"
url: "https://developer.incode.com/api-reference/queue-conference-index/"
section: "api-reference"
group: "Video conference"
version: "v1.1"
status: "live"
endpoint: "GET /omni/queue/conference/index"
---
# Get user's position in queue

`GET /omni/queue/conference/index`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Use this endpoint to check user's position in waiting queue. Once the index in the response is 0, users can connect to
the conference call. Use endpoint Get position in queue. Once the index becomes 0, the customer can connect to the interview.
Call [Connect](#/Conference/getInterviewerInfo) to fetch connection data.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `queueName` | query | string |  | The name of the queue the user is entering in case a conference call will be used. If not set, the default queue will be used. Possible values: aristotle, buddha, confucius, diogenes. Same value for queueName needs to be used across all requests in one onboarding session. |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `index` | integer (int32) |  |  |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X GET https://demo-api.incodesmile.com/omni/queue/conference/index \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0"
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/queue/conference/index", {
  method: "GET",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
  },
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
}
res = requests.get("https://demo-api.incodesmile.com/omni/queue/conference/index", headers=headers)
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/queue/conference/index"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
